Package org.h2.command.query

# Class AllColumnsForPlan

java.lang.Object
org.h2.command.query.AllColumnsForPlan

public class AllColumnsForPlan extends Object
This information is expensive to compute for large queries, so do so on-demand. Also store the information pre-mapped by table to avoid expensive traversal.

## Constructor Summary

Constructors
Constructor
Description
`AllColumnsForPlan(TableFilter[] filters)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Column newCol)`
Called by ExpressionVisitor.
`ArrayList<Column>`
`get(Table table)`
Used by index to calculate the cost of a scan.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AllColumnsForPlan

public AllColumnsForPlan(TableFilter[] filters)

## Method Details

### add

public void add(Column newCol)
Called by ExpressionVisitor.

Parameters:
  `newCol` - new column to be added.

### get

public ArrayList<Column> get(Table table)
Used by index to calculate the cost of a scan.

Parameters:
  `table` - the table.
Returns:
  all table's referenced columns.